Name:           quisk
Version:        4.1.10
Release:        1%{?dist}
Summary:        Software Defined Radio (SDR) software

License:        GPLv2 and BSD
URL:            http://james.ahlstrom.name/quisk/
Source0:        http://james.ahlstrom.name/quisk/%{name}-%{version}.tar.gz

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  fftw-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-libs-devel
Requires:       wxPython

%description
QUISK is a Software Defined Radio (SDR) which can control various
radio hardware. QUISK supports CW, SSB, and AM.

%prep
%setup -q
# remove binaries, etc
find . -name \*.pyc -exec rm {} \;
find . -name \*.pyd -exec rm {} \;
find . -name \*.so -exec rm {} \;
find . -name \*.dll -exec rm {} \;

# remove execute permissions from everything
find . -type f -exec chmod a-x {} \;

# fix shebangs
sed -i 's|#! /usr/bin/python|#!/usr/bin/python2|' quisk.py quisk_vna.py portaudio.py n2adr/startup.py

%build
CFLAGS="%{optflags}" %{__python2} setup.py build_ext --inplace
%py2_build

%install
%py2_install
# make Python scripts with shebangs executable
for f in `find %{buildroot}%{python2_sitearch}/%{name} -name \*.py`
do
    grep -E -q '^#!' $f && chmod a+x $f
done

%files
%license license.txt
%doc docs.html docs1.html docs2.html defaults.html
%doc help.html help_conf.html help_vna.html
%{_bindir}/%{name}
%{python2_sitearch}/%{name}
%{python2_sitearch}/%{name}-%{version}-py?.?.egg-info


%changelog
* Mon Oct 09 2017 Eric Smith <brouhaha@fedoraproject.org> 4.1.10-1
- Updated to latest upstream.
- Spec changes per package review (#1443429).

* Wed Apr 19 2017 Eric Smith <brouhaha@fedoraproject.org> 4.1.3-1
- Initial version.
